Bug 19033 - <embed> should fire 'load' event so that it's more useful for e.g. SVG
<embed> should fire 'load' event so that it's more useful for e.g. SVG
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:57 UTC by contributor
Modified: 2012-09-25 22:27 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:57:01 UTC
This was was cloned from bug 9362 as part of operation LATER convergence.
Originally filed: 2010-03-28 22:55:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2010-03-28 22:55:03 +0000 
--------------------------------------------------------------------------------
Section: http://www.whatwg.org/specs/web-apps/current-work/#the-embed-element

Comment:
<embed> should fire 'load' event so that it's more useful for e.g. SVG

Posted from: 85.227.159.51 by simonp@opera.com
================================================================================
 #1   Maciej Stachowiak                               2010-03-29 05:34:46 +0000 
--------------------------------------------------------------------------------
Why not just use <object> or <iframe> or <img> for SVG? <embed> seems like about the worst choice of element to embed it with.
================================================================================
 #2   Ian 'Hixie' Hickson                             2010-04-02 07:17:47 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: Don't use <embed> with SVG. Use <img>.
================================================================================
 #3   Simon Pieters                                   2010-04-03 02:43:38 +0000 
--------------------------------------------------------------------------------
(In reply to comment #1)
> Why not just use <object> or <iframe> or <img> for SVG?

<object> is more verbose (not a lot, but still), <iframe> has a default border and doesn't resize itself after the image, <img> doesn't support scripting.

> <embed> seems like
> about the worst choice of element to embed it with.

Why?

(In reply to comment #2)
> Rationale: Don't use <embed> with SVG.

Why not?

> Use <img>.

<img> doesn't support scripting.
================================================================================
 #4   Simon Pieters                                   2010-04-03 02:44:41 +0000 
--------------------------------------------------------------------------------
I think having a load event would also be useful when embedding scripted plugin content.
================================================================================
 #5   Maciej Stachowiak                               2010-04-04 06:07:24 +0000 
--------------------------------------------------------------------------------
(In reply to comment #4)
> I think having a load event would also be useful when embedding scripted plugin
> content.

SVG aside, this use case seems reasonable to me.
================================================================================
 #6   Ian 'Hixie' Hickson                             2010-04-12 23:36:36 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: Yeah, I could see a use case for firing a load event with regular plugins. At this point though I'd rather not add more features; I think we should wait for what is specced already to be tested and implemented interoperably. This isn't a critical feature since you can already do it fine with <object>.
================================================================================